(function(){

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// server/dev-accounts-server.js                                       //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
                                                                       //
// Sandstorm - Personal Cloud Sandbox                                  //
// Copyright (c) 2014 Sandstorm Development Group, Inc. and contributors
// All rights reserved.                                                //
//                                                                     //
// Licensed under the Apache License, Version 2.0 (the "License");     //
// you may not use this file except in compliance with the License.    //
// You may obtain a copy of the License at                             //
//                                                                     //
//   http://www.apache.org/licenses/LICENSE-2.0                        //
//                                                                     //
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,   //
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.                                      //
                                                                       //
var Crypto = Npm.require("crypto");                                    // 17
                                                                       //
Meteor.methods({                                                       // 19
  createDevAccount: function (displayName, isAdmin, profile, unverifiedEmail) {
    // This is a login method that creates or logs in a dev account with the given displayName
                                                                       //
    check(displayName, String);                                        // 23
    check(isAdmin, Match.OneOf(undefined, null, Boolean));             // 24
    check(profile, Match.OneOf(undefined, null, Object));              // 25
    check(unverifiedEmail, Match.OneOf(undefined, null, String));      // 26
                                                                       //
    if (!this.connection.sandstormDb.allowDevAccounts()) {             // 28
      throw new Meteor.Error(404, "Dev accounts are not enabled on this server");
    }                                                                  //
                                                                       //
    isAdmin = isAdmin || false;                                        // 32
                                                                       //
    profile = profile || {};                                           // 34
    profile.name = profile.name || displayName;                        // 35
    var hasCompletedSignup = !!unverifiedEmail && !!profile.pronoun && !!profile.handle;
                                                                       //
    var user = Meteor.users.findOne({ "services.dev.name": displayName });
    var userId = undefined;                                            // 39
                                                                       //
    if (user) {                                                        // 41
      userId = user._id;                                               // 42
    } else {                                                           //
      userId = Accounts.insertUserDoc({ profile: profile,              // 44
        unverifiedEmail: unverifiedEmail }, { services: { dev: { name: displayName,
            isAdmin: isAdmin,                                          // 48
            hasCompletedSignup: hasCompletedSignup } } });             // 49
    }                                                                  //
    // Log them in on this connection.                                 //
    return Accounts._loginMethod(this, "createDevAccount", arguments, "dev", function () {
      return { userId: userId };                                       // 53
    });                                                                //
  }                                                                    //
});                                                                    //
/////////////////////////////////////////////////////////////////////////

}).call(this);

//# sourceMappingURL=dev-accounts-server.js.map
