(function () {

/* Imports */
var Meteor = Package.meteor.Meteor;
var _ = Package.underscore._;
var Random = Package.random.Random;
var Accounts = Package['accounts-base'].Accounts;
var AccountsServer = Package['accounts-base'].AccountsServer;
var Google = Package.google.Google;
var Github = Package.github.Github;

(function(){

///////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                       //
// packages/sandstorm-accounts-packages/accounts.js                                                      //
//                                                                                                       //
///////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                         //
if (Meteor.isClient) {                                                                                   // 1
  Meteor.loginWithGoogle = function (options, callback) {                                                // 2
    // support a callback without options                                                                // 3
    if (!callback && typeof options === "function") {                                                    // 4
      callback = options;                                                                                // 5
      options = null;                                                                                    // 6
    }                                                                                                    // 7
                                                                                                         // 8
    const credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Google.requestCredential(options, credentialRequestCompleteCallback);                                // 10
  };                                                                                                     // 11
                                                                                                         // 12
  Meteor.loginWithGithub = function (options, callback) {                                                // 13
    // support a callback without options                                                                // 14
    if (!callback && typeof options === "function") {                                                    // 15
      callback = options;                                                                                // 16
      options = null;                                                                                    // 17
    }                                                                                                    // 18
                                                                                                         // 19
    const credentialRequestCompleteCallback = Accounts.oauth.credentialRequestCompleteHandler(callback);
    Github.requestCredential(options, credentialRequestCompleteCallback);                                // 21
  };                                                                                                     // 22
}                                                                                                        // 23
                                                                                                         // 24
if (Meteor.isServer) {                                                                                   // 25
  Google.whitelistedFields = Google.whitelistedFields.concat(["hd"]);                                    // 26
  // hd is the "hosted domain" parameter. It is only present for google accounts that are part of a      // 27
  // google apps for work domain.                                                                        // 28
}                                                                                                        // 29
                                                                                                         // 30
Accounts.identityServices = {};                                                                          // 31
// A dictionary of identity services. At the moment, this is mainly used for rendering login UI          // 32
// components. Each key in the dictionary is the name of the service, e.g. "github", exactly as it       // 33
// would appear in the `Users.profile.service` field in the Sandstorm database. Each value in the        // 34
// dictionary is an object with the following fields:                                                    // 35
//                                                                                                       // 36
//   isEnabled: A function of no arguments. Returns a boolean indicating whether this service is         // 37
//              currently configured to be active.                                                       // 38
//   loginTemplate: An object indicating how to render this service's login UI. Contains the             // 39
//                  following fields:                                                                    // 40
//       name: The name of the template to render.                                                       // 41
//       priority: Number representing this template's sort order when it appears within a list          // 42
//                 with other login templates. Lower priority means higher in the list.                  // 43
//       data: An object to pass along to the template when it is rendered. The value of this            // 44
//             field will be placed in the `data` field. In addition, there will be a                    // 45
//             boolean `linkingNewIdentity` field, which is true if the component is currently being     // 46
//             used to link a new identity, rather than just to log in.                                  // 47
//                                                                                                       // 48
// TODO(someday): It probably makes sense also to collect in these objects the service-specific          // 49
// user initialization logic currently found in sandstorm-db/user.js and sandstorm-db/profile.js.        // 50
                                                                                                         // 51
///////////////////////////////////////////////////////////////////////////////////////////////////////////

}).call(this);


/* Exports */
if (typeof Package === 'undefined') Package = {};
Package['sandstorm-accounts-packages'] = {};

})();

//# sourceMappingURL=sandstorm-accounts-packages.js.map
